using Sepehr.ApiGateway.Partners.Contracts.Generic.CurrentBalance.V3.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Generic.CurrentBalance.V3.ResponseModel;
using SepehrHotelApiSampleClient.BuiltinTypeExtensions;

namespace SepehrHotelApiSampleClient.Generic.WebApi
{
    public class CurrentBalanaceApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Generic/CurrentBalance/V3",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
